chirp_stat Struct Reference

Describes the properties of a file, much like the Unix stat structure. More...

`#include <chirp_types.h>`

## Data Fields

INT64_T | cst_dev
| The device number on which the file is stored.
INT64_T | cst_ino
| The inode number of the file.
INT64_T | cst_mode
| The Unix mode bits of the file.
INT64_T | cst_nlink
| The number of hard links to this file.
INT64_T | cst_uid
| The Unix UID of the file's owner.
INT64_T | cst_gid
| The Unix GID of the file's group varship.
INT64_T | cst_rdev
| The device number, if this represents a device.
INT64_T | cst_size
| The size of the file, in bytes.
INT64_T | cst_blksize
| The recommended transfer block size for accessing this file.
INT64_T | cst_blocks
| The number of blocks consumed by this file in the file system.
INT64_T | cst_atime
| The last time the file was accessed, in time_t format.
INT64_T | cst_mtime
| The last time the file data was modified, time_t format.
INT64_T | cst_ctime
| The last time the inode was changed, in time_t format.

## Detailed Description

Describes the properties of a file, much like the Unix stat structure.

Note that cst_uid, cst_gid, and cst_mode are provided for backwards compatibility, but are ignored by Chirp when enforcing access control. See chirp_reli_setacl and chirp_reli_getacl for more information about enforcing access controls.

See also
  chirp_reli_stat, chirp_reli_lstat, chirp_reli_fstat, chirp_reli_open

## Field Documentation

## cst_dev

INT64_T chirp_stat::cst_dev

The device number on which the file is stored.

## cst_ino

INT64_T chirp_stat::cst_ino

The inode number of the file.

## cst_mode

INT64_T chirp_stat::cst_mode

The Unix mode bits of the file.

## cst_nlink

INT64_T chirp_stat::cst_nlink

The number of hard links to this file.

## cst_uid

INT64_T chirp_stat::cst_uid

The Unix UID of the file's owner.

## cst_gid

INT64_T chirp_stat::cst_gid

The Unix GID of the file's group varship.

## cst_rdev

INT64_T chirp_stat::cst_rdev

The device number, if this represents a device.

## cst_size

INT64_T chirp_stat::cst_size

The size of the file, in bytes.

## cst_blksize

INT64_T chirp_stat::cst_blksize

The recommended transfer block size for accessing this file.

## cst_blocks

INT64_T chirp_stat::cst_blocks

The number of blocks consumed by this file in the file system.

Note that this value has nothing to do with cst_blksize. The size of the actual storage blocks is given by f_bsize in chirp_statfs.

## cst_atime

INT64_T chirp_stat::cst_atime

The last time the file was accessed, in time_t format.

## cst_mtime

INT64_T chirp_stat::cst_mtime

The last time the file data was modified, time_t format.

## cst_ctime

INT64_T chirp_stat::cst_ctime

The last time the inode was changed, in time_t format.

The documentation for this struct was generated from the following file:

- chirp_types.h